Docs Submit task /mj/task/{id}/fetch
API reference

Get Task Status by ID

Query the current status/result of a task submitted via POST /mj/submit/imagine, /mj/submit/action, etc. When status is SUCCESS, imageUrl is valid and buttons lists the available follow-up actions (customId).

GET/mj/task/{id}/fetch

Body Parameters

body object

Responses

200 application/json
response-200 object
properties
action* string

Action type

botType* string

Bot type

buttons* array

List of follow-up actionable buttons / actions

customId* string

Custom pass-through ID

description* string

Description

failReason* string

Failure reason

finishTime* integer

Completion time

id* string

Resource or task ID

imageUrl* string

Result image URL

maskBase64* string

Mask image Base64

progress* string

Progress (0-100 or 0-1, depending on the platform)

prompt* string

Text prompt

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"message": "ok"
3}
Code Sample cURL
1curl -X GET "https://api.digislash.com/mj/task/{id}/fetch" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"action": "IMAGINE",
3"botType": "",
4▼"buttons": [
5▶{ 5 keys },
6▶{ 5 keys },
7▶{ 5 keys },
8▶{ 5 keys },
9▶{ 5 keys },
10▶{ 5 keys },
11▶{ 5 keys },
12▶{ 5 keys },
13▶{ 5 keys }
14],
15"customId": "",
16"description": "Submit success",
17"failReason": "",
18"finishTime": 1730621855817,
19"id": "1730621826053455",
20"imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
21"maskBase64": "",
22"progress": "100%",
23"prompt": "pig --v 6.1",
24"promptEn": "pig --v 6.1",
25▼"properties": {
26"finalPrompt": "pig --v 6.1",
27"finalZhPrompt": ""
28},
29"startTime": 1730621828024,
30"state": "",
31"status": "SUCCESS",
32"submitTime": 1730621826053
33}